Name:           prelude-correlator
Version:        5.2.0
Release:        %mkrel 6
Summary:        Real time correlator of events received by Prelude SIEM Manager
License:        GPLv2+
Group:          Networking/Other
URL:            https://www.prelude-siem.org/
Source0:        https://www.prelude-siem.org/pkg/src/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.service
Source2:        %{name}-tmpfiles.conf
BuildArch:      noarch
BuildRequires:  pkgconfig(libprelude) >= %{version}
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)

Requires:       prelude-manager
Requires:       python3dist(netaddr)
Requires(post):  rpm-helper
Requires(preun): rpm-helper

%description
Prelude-Correlator allows conducting multi-stream correlations
thanks to a powerful programming language for writing correlation
rules. With any type of alert able to be correlated, event
analysis becomes simpler, quicker and more incisive. This
correlation alert then appears within the Prewikka interface
and indicates the potential target information via the set of
correlation rules.

%prep
%setup -q

%build
%py3_build

%install
%py3_install

%{__mkdir_p} %{buildroot}%{_sbindir}
%{__mv} %{buildroot}%{_bindir}/%{name} %{buildroot}%{_sbindir}/%{name}

# install init script
%{__install} -D -p -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

# tmpfiles
%{__install} -D -p -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/%{name}.conf

# fix a README.urpmi
%{__cat} > README.urpmi << EOF
In order to start the prelude-correlator service you must configure it first.
This is not done automatically. To make a basic configuration,
please run:

%{_bindir}/prelude-adduser register "prelude-correlator" "idmef:rw" localhost --uid 0 --gid 0


Original log from systemctl:

Profile 'prelude-correlator' does not exist. In order to create it, please run:

%{_bindir}/prelude-admin register "prelude-correlator" "idmef:rw" <manager address> --uid 0 --gid 0
EOF

%post
%_tmpfilescreate %{name}
%_post_service %{name}

%preun
%_preun_service %{name}

%pre
%_pre_useradd prelude-correlator %{_localstatedir}/lib/%{name} /bin/false

%postun
%_postun_userdel prelude-correlator

%files
%doc AUTHORS NEWS  README.urpmi
%license COPYING HACKING.README
%{_sbindir}/%{name}
%dir %{_sysconfdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%dir %{_sysconfdir}/%{name}/rules
%dir %{_sysconfdir}/%{name}/rules/python
%config(noreplace) %{_sysconfdir}/%{name}/rules/python/*.py*
%dir %{_sysconfdir}/%{name}/conf.d
%config %{_sysconfdir}/%{name}/conf.d/README
%{_localstatedir}/lib/%{name}/
%{_unitdir}/%{name}.service
%{_tmpfilesdir}/%{name}.conf
%{python3_sitelib}/preludecorrelator/
%{python3_sitelib}/prelude_correlator-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Dec 19 2023 papoteur <papoteur> 5.2.0-6.mga10
+ Revision: 2019399
- Mass Rebuild - Python 3.12

* Fri Jun 24 2022 papoteur <papoteur> 5.2.0-5.mga9
+ Revision: 1865866
- Mass Rebuild for dependencies

* Tue Mar 29 2022 umeabot <umeabot> 5.2.0-4.mga9
+ Revision: 1833357
- Mageia 9 Mass Rebuild

* Sun Feb 27 2022 mrambo3501 <mrambo3501> 5.2.0-3.mga9
+ Revision: 1785915
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 5.2.0-2.mga9
+ Revision: 1707596
- rebuild for python 3.9

* Fri Sep 18 2020 daviddavid <daviddavid> 5.2.0-1.mga8
+ Revision: 1628534
- new version: 5.2.0

* Sun Feb 16 2020 umeabot <umeabot> 5.1.0-2.mga8
+ Revision: 1536664
- Mageia 8 Mass Rebuild

* Sun Oct 20 2019 daviddavid <daviddavid> 5.1.0-1.mga8
+ Revision: 1454762
- new version: 5.1.0

* Sun Sep 15 2019 daviddavid <daviddavid> 5.0.1-2.mga8
+ Revision: 1441201
- port to Python 3

* Sun Feb 24 2019 daviddavid <daviddavid> 5.0.1-1.mga7
+ Revision: 1369824
- new version: 5.0.1

* Thu Sep 20 2018 umeabot <umeabot> 4.1.1-2.mga7
+ Revision: 1288056
- Mageia 7 Mass Rebuild

* Sat Jan 13 2018 daviddavid <daviddavid> 4.1.1-1.mga7
+ Revision: 1192637
- new version: 4.1.1

* Sat Sep 23 2017 daviddavid <daviddavid> 4.0.0-1.mga7
+ Revision: 1157806
- new version: 4.0.0
- update Summary

* Sun Oct 16 2016 daviddavid <daviddavid> 3.1.0-1.mga6
+ Revision: 1061063
- imported package prelude-correlator

